/*
 * MosP - Mind Open Source Project         http://www.mosp.jp/
 * Copyright (C) 1987-2009 MIND Co., Ltd.  http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/**
 * 画面読込時追加処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function onLoadExtra() {
	// 項目背景色設定
	setFieldsBgColor(ARY_FIELDS_ID    , COLOR_FIELD_NORMAL);
	setFieldsBgColor(ARY_ERR_FIELDS_ID, COLOR_FIELD_ERROR );
	// 登録/更新判定
	if (MODE == 0) {
		// ボタン表示設定
		setVisibility("btnDelete", false);
		setWidth("btnDelete", 0);
		// フォーカス設定
		setFocus(PRM_TXT_CITY_CODE);
	} else if (MODE == 1) {
		// 読取専用設定
		setReadOnly(PRM_TXT_CITY_CODE, true);
		// フォーカス設定
		setFocus(PRM_TXT_CITY_NAME);
	}
	setMaxLength(PRM_TXT_CITY_CODE         , LEN_CITY_CODE        );
	setMaxLength(PRM_TXT_CITY_NAME         , LEN_CITY_NAME        );
	setMaxLength(PRM_TXT_CITY_KANA         , LEN_CITY_KANA        );
	setMaxLength(PRM_TXT_DESIGNATED_NUMBER , LEN_DESIGNATED_NUMBER);
	

}




/**
 * サーバー通信処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function submitForm(objForm) {
	// 入力チェック
	if (validate()) {
		// サーバー通信(入力エラー無の場合)
		if (MODE == 0) {
			doSubmitMessage(objForm, 'U5272', 'QC0001', '');
		} else if (MODE == 1) {
			doSubmitMessage(objForm, 'U5273', 'QC0001', '');
		}
	}
}

/**
 * 入力チェック
 * @param 無し
 * @return チェック結果(true：OK、false：NG)
 * @throws 実行時例外
 */
function validate() {
	// フィールド背景色設定
	setFieldsBgColor(ARY_FIELDS_ID, COLOR_FIELD_NORMAL);
	// 半角変換
	convSbSpace(PRM_TXT_CITY_NAME);
	convSbSpace(PRM_TXT_CITY_KANA);
	convSbKana (PRM_TXT_CITY_KANA);
	// 入力チェック
	var aryMessage = new Array();
	checkRequired(PRM_TXT_CITY_CODE        , NAM_CITY_CODE        , aryMessage);
	checkRequired(PRM_TXT_CITY_NAME        , NAM_CITY_NAME        , aryMessage);
	checkRequired(PRM_TXT_CITY_KANA        , NAM_CITY_KANA        , aryMessage);
	checkRequired(PRM_TXT_DESIGNATED_NUMBER, NAM_DESIGNATED_NUMBER, aryMessage);
	checkRequired(PRM_PLT_CO_BANK_CODE, NAM_CO_BANK_CODE, aryMessage);

	checkCode(PRM_TXT_CITY_CODE, NAM_CITY_CODE, aryMessage);
	checkKana(PRM_TXT_CITY_KANA, NAM_CITY_KANA, aryMessage);
	if (aryMessage.length == 0) {
		return true;
	} else {
		showMessage(aryMessage);
		return false;
	}
}
